%global debug_package %{nil}

Summary: GTK3 python based GUI and notification area icon for Syncthing
Name: syncthing-gtk
Version: 0.9.4.2
Release: 1
License: GPL-2
URL: https://github.com/syncthing/syncthing-gtk
Packager: Richard Monk <richardmonk@gmail.com>

Requires: python >= 2.7 gtk3 >= 3.8 pygobject2 python-dateutil python-setuptools python-inotify

# IF this is fedora, use the correct bcrypt library
#%if 0%{?fedora} > 20
#Requires: python2-bcrypt
#%else
#Requires: py-bcrypt
#%endif

Requires: syncthing >= 0.10
BuildRequires: python-devel >= 2.7, desktop-file-utils
#Source0: %{name}-%{version}.tar.gz
Source0: https://github.com/syncthing/%{name}/archive/v%{version}.tar.gz
BuildArch: noarch

%description
Syncthing-GTK is a GTK3 based user interface and notifier for Syncthing
written in Python. See https://github.com/syncthing/syncthing for more
information about Syncthing.

Supported Syncthing features:
- Everything what WebUI can display
- Adding / editing / deleting nodes
- Adding / editing / deleting repositories
- Restart / shutdown server
- Editing daemon settings

Additional features:
- First run wizard for initial configuration
- Running Syncthing daemon in background
- Half-automatic setup for new nodes and repositories
- Filesystem watching and instant synchronization using inotify
- Desktop notifications

%prep
%setup

%build
python setup.py build

%install
python setup.py install \
	--root=%{buildroot} --optimize=1

#%post
# SUSE only
#%desktop_database_post

#%postun
# SUSE only
#%desktop_database_postun

%files
%doc LICENSE README.md
%{_bindir}/%{name}
/usr/lib/python2.7/site-packages/syncthing_gtk*
%{_datadir}/applications/%{name}*
%{_datadir}/%{name}
%{_datadir}/pixmaps
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/24x24/apps/*
%{_datadir}/icons/hicolor/32x32/apps/*
%{_datadir}/icons/hicolor/64x64/apps/*
%{_datadir}/icons/hicolor/64x64/emblems/*
%{_datadir}/icons/hicolor/128x128/apps/*
%{_datadir}/icons/hicolor/256x256/apps/*
%{_datadir}/icons/hicolor/*/status/*
%{_datadir}/locale/*
%{_mandir}/man1/*


%changelog
* Wed Jun 06 2018 Richard Monk <richardmonk@gmail.com> - 0.9.4-1
- Version bump

* Thu May 03 2018 Richard Monk <richardmonk@gmail.com> - 0.9.3.1-2
- Version bump
- Fixed dependencies on EPEL

* Fri Oct 27 2017 Richard Monk <richardmonk@gmail.com> - 0.9.2.7-1
- Version bump

* Tue Aug 01 2017 Richard Monk <richardmonk@gmail.com> - 0.9.2.5-3
- Fixed postinstall scripts
- Version bump

* Fri Feb 03 2017 Richard Monk <richardmonk@gmail.com> - 0.9.2.4
- Version bump

* Tue Sep 06 2016 Richard Monk <richardmonk@gmail.com> - 0.9.2.1
- Version bump

* Mon Oct 12 2015 Richard Monk <richardmonk@gmail.com> - 0.7.6.1-1
- Version bump

* Mon Sep 14 2015 Richard Monk <richardmonk@gmail.com> - 0.7.5-1
- Version bump

* Mon Jul 27 2015 Richard Monk <richardmonk@gmail.com> - 0.7.4.1
- Version bump

* Sat Jul 04 2015 Richard Monk <richardmonk@gmail.com> - 0.7.4
- Version bump

* Sun Jun 07 2015 Richard Monk <richardmonk@gmail.com> - 0.7.2
- Version bump

* Fri Feb 13 2015 Pedro Palma <pmdpalma@gmail.com> - 0.6.1-1.pmdp
- Updated to 0.6.1

* Sat Jan 24 2015 Pedro Palma <pmdpalma@gmail.com> - 0.5.8-1
- Updated to 0.5.8

* Fri Dec 05 2014 Pedro Palma <pmdpalma@gmail.com> - 0.5.2-1
- Initial Release
